export { handle } from './handle';
export { ExitError } from './lyndon-errors/exit';
export { HoustonError } from './lyndon-errors/houston';
export { Logger } from './logger';
export { config } from './config';
export declare function exit(code?: number): void;
export declare function error(err: string | Error, options?: {
    code?: string;
    exit?: number;
}): void;
export declare function warn(input: string | Error): void;
