"use strict";
// tslint:disable no-console
Object.defineProperty(exports, "__esModule", { value: true });
var handle_1 = require("./handle");
exports.handle = handle_1.handle;
var exit_1 = require("./lyndon-errors/exit");
exports.ExitError = exit_1.ExitError;
var houston_1 = require("./lyndon-errors/houston");
exports.HoustonError = houston_1.HoustonError;
var logger_1 = require("./logger");
exports.Logger = logger_1.Logger;
var config_1 = require("./config");
exports.config = config_1.config;
const config_2 = require("./config");
const houston_2 = require("./lyndon-errors/houston");
const exit_2 = require("./lyndon-errors/exit");
function exit(code = 0) {
    throw new exit_2.ExitError(code);
}
exports.exit = exit;
function error(err, options = {}) {
    throw new houston_2.HoustonError(err, options);
}
exports.error = error;
function warn(input) {
    let err = new houston_2.HoustonError.Warn(input);
    console.error(err.render ? err.render() : `Warning: ${err.message}`);
    if (config_2.config.errorLogger)
        config_2.config.errorLogger.log(err.stack);
}
exports.warn = warn;
