"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const houston_1 = require("./houston");
class ExitError extends houston_1.HoustonError {
    constructor(exitCode = 0) {
        super(`EEXIT: ${exitCode}`, { exit: exitCode });
        this.code = 'EEXIT';
    }
    render() { return ''; }
}
exports.ExitError = ExitError;
